export const tableOption = {
  searchMenuSpan: 6,
  columnBtn: true,
  border: true,
  selection: false,
  stripe: true,
  menuAlign: 'center',
  menuFixed: false,
  align: 'center',
  refreshBtn: true,
  searchSize: 'mini',
  addBtn: false,
  editBtn: false,
  delBtn: false,
  viewBtn: false,
  menuWidth: 360,
  props: {
    label: 'label',
    value: 'value'
  },
  column: [
    {
      label: '#',
      prop: 'id',
      width: 70,
    }, {
      label: '名称',
      prop: 'name',
      search: true,
    }, {
      label: '极光房号',
      prop: 'roomid',
    }, {
      label: '分享图标',
      prop: 'icon',
      type: 'upload',
      listType: 'picture-img',
      width: 100,
    }, {
      label: '首页显示',
      prop: 'display',
      slot: true,
      width: 100,
    }
  ]
}

export default tableOption