// 防抖 防止表单重复提交
export const Debounce = (fn: Function, t: number) => {
  let delay = t || 300
  let timer: number | null = null
  return function () {
    let args = arguments
    if (timer) {
      clearTimeout(timer)
    }

    let callNow = !timer

    timer = setTimeout(() => {
      timer = null
    }, delay)

    // @ts-ignore
    if(callNow) fn.apply(this, args)
  }
}
